unit IntroSignal;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Basic3, StdCtrls, ComCtrls;

type
  TIntroSignalForm = class(TBasicForm3)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  IntroSignalForm: TIntroSignalForm;

implementation

{$R *.DFM}

procedure TIntroSignalForm.FormCreate(Sender: TObject);
begin
  inherited;
  With RichEdit1.Lines, RichEdit1 do
  begin
    Clear;
    DefAttributes.Size := 12;
    DefAttributes.Style := [fsBold];
    SelAttributes.Size := 14;

    SelAttributes.Color := RGB(51,51,153);
    Add('A wide range of signal filtering routines includes:');
    Add('');
    Paragraph.FirstIndent := 10;
    Paragraph.Numbering := nsBullet;
    Add('Elliptic,Butterworth and Chebyshev filter designers');
    Add('Parks-McClellan optimal FIR filter design routine');
    Add('Savitzky-Golay polynomial FIR filter');
    Add('Multi-rate, multi-stage decimation and interpolation filters');
    Add('Envelope detection/amplitude demodulation');
    Add('Zoom-spectrum filter');
    Paragraph.Numbering := nsNone;    
    Paragraph.FirstIndent := 0;
  end;
  TButton(Self.Owner.FindComponent('btnHelp')).Enabled := false;
end;

initialization
  RegisterClass(TIntroSignalForm);

end.
